
# add allegro and audio libs
LIBS += \
	-lalleg \
	-laldat \
	-lbe \
	-ldevice \
	-lgame \
	-lmedia \
	-lmidi \
	-lroot \
	-ltracker

# only BeOS specific output files and rules
OSOBJS = \
	$(OBJ)/$(MAMEOS)/beos.o \
	$(OBJ)/$(MAMEOS)/be_sound_api.o \
	$(OBJ)/$(MAMEOS)/ticker.o \
	$(OBJ)/$(MAMEOS)/video.o \
	$(OBJ)/$(MAMEOS)/be_sound.o \
	$(OBJ)/$(MAMEOS)/input.o \
	$(OBJ)/$(MAMEOS)/fronthlp.o \
	$(OBJ)/$(MAMEOS)/config.o \
	$(OBJ)/$(MAMEOS)/blit.o \
	$(OBJ)/$(MAMEOS)/asmblit.o

# video blitting functions
$(OBJ)/$(MAMEOS)/asmblit.o: src/$(MAMEOS)/asmblit.asm
	@echo Assembling $<...
	$(ASM) -o $@ $(ASMFLAGS) $(subst -D,-d,$(ASMDEFS)) $<

# check if this is a MESS build
ifdef MESS
# additional OS specific object files
OSOBJS += $(OBJ)/mess/msdos.o $(OBJ)/mess/msdos/fileio.o \
	$(OBJ)/mess/msdos/dirio.o $(OBJ)/mess/msdos/nec765.o \
	$(OBJ)/mess/snprintf.o
else
OSOBJS += $(OBJ)/$(MAMEOS)/fileio.o
endif
